#include <string>
#include <vector>
#include <iostream>
using namespace std;

#include "conio.h"
#include "type_image.h"

void CharToBit(const string&, vector<bool>&);
void BitToChar(const vector<bool>&, string&);

void EntrerMessage();
void LireMessage();


int main(void)
{
	char Touche = 0;

	while ((Touche != '1') && (Touche != '2'))
	{
		system("cls");
		cout << "1- Entrer un message dans une image" << endl
			 << "2- Lire le message d'une image" << endl;
		Touche = getch();
	}

	if (Touche == '1')
		EntrerMessage();
	else
		LireMessage();

	return (0);
}
